/* fourier.c */
#include "epix.h"

double pic_size=1;
char *pic_unit="pt";

double x_min = -8, x_max = 8, y_min = -2, y_max = 2;
double h_size = 300, v_size = 75, h_offset = 0, v_offset = 0;

double fourier9(double t)
{
  int k;
  double y=0;

  for (k=1; k < 10; ++k)
    y += (1.0/k)*sin(k*t);

  return y;
}

main()
{
  begin();

  //  h_axis(P(x_min, 0), P(x_max, 0), (x_max - x_min));
  //  v_axis(P(0, y_min), P(0, y_max), y_max - y_min);

  grid(P(x_min, y_min), P(x_max, y_max), x_max - x_min, y_max - y_min);

  red();
  boldplot(fourier9, x_min, x_max, 200);
  end_red();

  end();
}
