/* p-twist.c -- Knot primitives */
#include "epix.h"

double pic_size = 1;
char *pic_unit = "pt";

double x_min = 0, x_max = 3, y_min = 0, y_max = 1;
double h_size = 150, v_size = 50, h_offset = 0, v_offset = 0;

main()
{
  begin();

  dashrect(P(0,0), P(1,1));
  dashrect(P(2,0), P(3,1));

  label(P(0,0), P(-30, 2), "$(a,b)$");
  label(P(1,1), P(-10,6), "$(c,d)$");

  p_twist(P(0,0), P(1,1));
  p_twist(P(2,1), P(3,0));

  label(P(2,1), P(-20,6), "$(a,b)$");
  label(P(3,0), P(2,2), "$(c,d)$");

  label(P(-1.5,0.5), P(0,0), "{\\tt p\\underline{ }twist}");

  end();
}
